Bug 153931 - workspace grid does not allow to move maximized windows
Summary: workspace grid does not allow to move maximized windows
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 2 votes (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-12 22:08 UTC by Stefan Majewsky
Modified: 2009-04-07 18:10 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Majewsky 2007-12-12 22:08:16 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

I'm using the 4.0 RC2 = 3.97.0 (was not available in the version selection, could someone change this, please?).

On the workspace grid (I do not know the exact name, it is the window effect you can toggle with Ctrl-F8 by default), one can move windows between workspaces (just like on the pager applet for Kicker). However, I was not able to move a maximized window (unlike on the old pager).
Comment 1 Lubos Lunak 2007-12-17 18:27:32 UTC
SVN commit 749711 by lunakl:

Allow moving of even non-movable windows between virtual desktops using the middle
mouse button (and also right button, newly, I guess that one is easier to use).
BUG: 153931



 M  +2 -2      desktopgrid.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=749711
Comment 2 Josep Febrer 2007-12-20 16:32:56 UTC
Are there any technical reason that this has to be done in that way?
If it is not too complicated I should prefer to move maximized windows like unmaximized windows, and that the moved maximized windows stays always maximized in the other desktop whatever the position are left in the other desktop.
Comment 3 Lubos Lunak 2007-12-21 17:26:22 UTC
Yes, there are technical reasons, and somebody needs to write the code for them.
Comment 4 Lubos Lunak 2008-07-25 17:39:20 UTC
This could be possibly now simply built on top of bug #131299.
Comment 5 lucas 2008-07-25 18:16:42 UTC
How feasible would it to be to allow effects to transform mouse input events (See unscalePos() from bug 164048)? Doing so would allow effects such as desktop grid to do native window movement (Fixes this bug) and all other normal desktop events. As a side effect it would even be possible to write in a text editor while zoomed out (Could be reused for Plasma zooming as well?) if the effect does not capture the keyboard.
Comment 6 Lubos Lunak 2008-07-31 15:16:20 UTC
There is currently no support for input transformation in X besides some experimental patches (in other words, not very feasible).
Comment 7 Davide Bettio 2008-12-21 15:36:11 UTC
Moving a maximized window from a desktop to another desktop (while keeping that window maximized) is an expected behaviour.
Actually pager allows to do that, so I think that it shouldn't be really difficult to implement this expected feature.
Comment 8 Ed 2008-12-29 03:46:12 UTC
I second this feature request. (It is possible in Compiz)
Comment 9 Martin Flöser 2009-04-07 17:06:06 UTC
There is an option in systemsettings -> window behaviour to allow resizing and moving of maximized windows. I just activated that option and with that it is possible to move maximized windows in desktop grid.
Comment 10 Martin Flöser 2009-04-07 18:10:37 UTC
SVN commit 950718 by graesslin:

Allow moving of maximized windows to another desktop in desktop grid. As there is no real visual feedback the cursor is changed to the moving one.
FEATURE: 153931


 M  +5 -2      desktopgrid.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=950718